import math

def find_path(a, b):
    # Приводим дробь к наименьшему общему виду
    gcd = math.gcd(a, b)
    a //= gcd
    b //= gcd

    # Начальные значения дробей
    left = (0, 1)  # 0/1
    right = (1, 0) # 1/0
    path = []

    # Пока не найдем искомую дробь
    while True:
        # Вычисляем медиану между двумя дробями
        median = (left[0] + right[0], left[1] + right[1])

        # Сравниваем медиану с искомой дробью
        if median == (a, b):
            return ''.join(path)

        # Если искомая дробь больше медианы, идем вправо (R)
        if a * median[1] > b * median[0]:
            path.append('R')
            left = median  # Обновляем левую границу
        # Если искомая дробь меньше медианы, идем влево (L)
        elif a * median[1] < b * median[0]:
            path.append('L')
            right = median  # Обновляем правую границу

# Ввод данных
a, b = map(int, input().split())

# Ищем путь к искомой дроби
result = find_path(a, b)

# Выводим результат
if result:
    print(result)
else:
    print("no")