import itertools


def is_valid_cube(a1, a2, a3, a4, a5, a6):
    # Проверка, что сумма противоположных сторон одинаковая
    # Перебираем все возможные комбинации противоположных сторон
    sides = [a1, a2, a3, a4, a5, a6]

    # Генерируем все возможные перестановки для 3 пар противоположных сторон
    pairs = list(itertools.combinations(sides, 2))

    # Проверка, что суммы противоположных сторон одинаковы
    for pair1 in pairs:
        for pair2 in pairs:
            for pair3 in pairs:
                if pair1 != pair2 and pair2 != pair3 and pair1 != pair3:
                    if sum(pair1) == sum(pair2) == sum(pair3):
                        return True
    return False


def main():
    # Считываем количество наборов кубиков
    n = int(input())  # Количество наборов кубиков
    for _ in range(n):
        # Считываем 6 чисел для каждого кубика
        values = list(map(int, input().split()))
        a1, a2, a3, a4, a5, a6 = values
        # Проверяем, можно ли собрать правильный кубик
        if is_valid_cube(a1, a2, a3, a4, a5, a6):
            print("yes")
        else:
            print("no")


if __name__ == "__main__":
    main()