def is_valid_cube(nums):
    

    pairs = [

        (0, 1), (0, 2), (0, 3), (0, 4), (0, 5),

        (1, 2), (1, 3), (1, 4), (1, 5),

        (2, 3), (2, 4), (2, 5),

        (3, 4), (3, 5),

        (4, 5)

    ]

    # Проверяем все комбинации пар

    for i1, j1 in pairs:

        for i2, j2 in pairs:

            if len(set([i1, j1, i2, j2])) < 4:
                continue  # Пары пересекаются

            remaining = [x for x in range(6) if x not in (i1, j1, i2, j2)]

            i3, j3 = remaining

            # Проверяем равенство сумм

            if nums[i1] + nums[j1] == nums[i2] + nums[j2] == nums[i3] + nums[j3]:
                return True

    return False


def main():
    import sys

    input = sys.stdin.read

    data = input().splitlines()

    n = int(data[0])

    results = []

    for i in range(1, n + 1):

        nums = list(map(int, data[i].split()))

        if is_valid_cube(nums):

            results.append("yes")

        else:

            results.append("no")

    sys.stdout.write("\n".join(results) + "\n")


if __name__ == "main":
    main()