# Function for lunar addition
def lunar_add(x: str, y: str) -> str:
    max_length = max(len(x), len(y))
    x = x.zfill(max_length)
    y = y.zfill(max_length)

    result = ''.join(str(max(int(a), int(b))) for a, b in zip(x, y))
    return result.lstrip('0') or '0'


# Function for lunar multiplication
def lunar_multiply(x: str, y: str) -> str:
    partial_results = []
    x = x[::-1]

    for i, digit_x in enumerate(x):
        partial_result = ''.join(str(min(int(digit_x), int(digit_y))) for digit_y in y)
        partial_result += '0' * i
        partial_results.append(partial_result)

    result = '0'
    for partial in partial_results:
        result = lunar_add(result, partial)

    return result.lstrip('0') or '0'


# Input reading
if __name__ == "__main__":
    num1 = input().strip()
    num2 = input().strip()

    # Compute lunar sum and product
    lunar_sum = lunar_add(num1, num2)
    lunar_product = lunar_multiply(num1, num2)

    # Output results in one line
    print(lunar_sum, lunar_product)
